'''
macro to create parti_volume
EC 2011
'''

import maya.cmds as cmds

sel = cmds.ls(sl=1,type="transform")[0]


### SET and APPLY NEW MATERIAL
newLambert = cmds.shadingNode("lambert",asShader=1)
newLambert = cmds.rename("temp")

newLambertSG = cmds.sets( renderable=True, noSurfaceShader=True, empty=True, name=sel+"SG")
cmds.connectAttr( newLambert+".outColor", newLambertSG+".surfaceShader", force=True)

cmds.defaultNavigation(source=sel,destination=newLambertSG,connectToExisting=1)

### Create transmat connect
newTransmat = cmds.shadingNode("transmat",asShader=1)
cmds.connectAttr( newTransmat+".outValue", newLambertSG+".miMaterialShader", force=True)

### Create parti_volume
newPartiVolume = cmds.shadingNode("parti_volume",asShader=1)
cmds.connectAttr( newPartiVolume+".outValue", newLambertSG+".miVolumeShader", force=True)




